/// <reference types="react" />
import ApolloClient from 'apollo-client';
export declare type IApolloClients = {
    [name: string]: ApolloClient<any>;
};
export declare type IExtractedData = {
    [name: string]: any;
};
export declare const ApolloClientsContext: import("react").Context<ApolloClientsManager>;
export declare class ApolloClientsManager {
    clients: IApolloClients;
    constructor(clients: IApolloClients);
    getClient(key?: string): ApolloClient<any>;
    extract(): IExtractedData;
}
export declare function useContextApolloClient(clientOrName: string | ApolloClient<any>): ApolloClient<any>;
